0

We run a really old website on EE2.... we're not in a position to upgrade for various reasons.

I've just come to hookup s3 with the Assets module and when putting the secret id and access key and searching for the bucket it gives me a php error. It does find the bucket name etc.

enter image description here

Can anyone identify how I can overcome this?

0

It looks very much like S3's security model has tightened since your copy of Assets was written. This presumably has been fixed in more recent versions of Assets (as S3 access is listed as a feature of the app still).

The latest version of Assets is 3.4.5 which is described as being compatible with EE2 - so it looks like the easiest / best solution to your problem is to update your copy of Assets.

HTH

2
  • Thank you, do you know if the assets 3.4.5 will run on EE 2.8.1? I don't want to buy it to find out it's not compatible. Or would it explicitly say version 2.x and above. – Third_Hyperion May 11 at 12:54
  • I don't know which versions of EE2 are supported. Suggest you contact eeharbor (hello@eeharbor.com) and ask - they are pretty responsive I find. – JCOGS Design May 12 at 13:43
0

You can check the below post. https://stackoverflow.com/questions/26533245/the-authorization-mechanism-you-have-provided-is-not-supported-please-use-aws4 This post have the same issue. This post will be help you to update the code in the add-on.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.